Subject: organic gardening
From: [email-masked]
Date: 19 May 1994 17:52:12 GMT
Newsgroups: alt.sustainable.agriculture

in response to the point that more land must be used for similar yields..

isn't there already a surplus of produce? isn't that what subsidies
and government buyouts are about? I would rather see less yield in a more
responsible manner in all aspects. That is what goes on the product, into
the ground, even to the point of how the -cides are produced and managed
(remember the toxic spill in the Sac. river?).
In the end conventional methods are more expensive in all sorts of hidden
costs
sarah